> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Business Profile

> Manage WhatsApp Business profile settings.

## Get business profile

`GET /api/channels/:id/profile`

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl https://zeplo.ai/api/channels/1/profile \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": {
    "about": "Your trusted business partner",
    "address": "123 Business St, Mumbai, India",
    "description": "Leading provider of XYZ services",
    "email": "contact@example.com",
    "industry": "TECHNOLOGY",
    "websites": ["https://example.com"],
    "profilePictureUrl": "https://..."
  }
}
```

***

## Update business profile

`POST /api/channels/:id/profile`

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/channels/1/profile \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{
    "about": "Updated business description",
    "address": "456 New Address, Mumbai",
    "email": "new@example.com",
    "websites": ["https://example.com", "https://shop.example.com"]
  }'
```

***

## Upload profile photo

`POST /api/channels/:id/profile/photo`

Accepts `multipart/form-data` with an image file.

```bash cURL theme={null}
curl -X POST https://zeplo.ai/api/channels/1/profile/photo \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -F "photo=@profile.jpg"
```

***

## Display name management

`GET /api/channels/:id/display-name`

`POST /api/channels/:id/display-name`

```json theme={null}
{
  "displayName": "Acme Support"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.